import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { ActionButtonsCfgNames } from '../../../interface/action-buttons-cfg-names.interface';
import { TransactionCfgName } from '../../../enum/transaction-cfg-name.enum';
import { TransactionInfoResponse } from '@colijnit/transactionapi/build/model/transaction-info-response.bo';
import { TransactionInfo } from '@colijnit/transactionapi/build/model/transaction-info.bo';
import { TransactionEventService } from '../../../service/transaction-event.service';
import { TransactionScreenConfigurationService } from '../../../service/transaction-screen-configuration.service';
import { TransactionService } from '../../../service/transaction.service';
export declare class TransactionBaseLineComponent implements OnInit, OnDestroy {
    private _transactionService;
    private _transactionEventService;
    private _screenConfigService;
    private _changeDetector;
    readonly cfgNames: typeof TransactionCfgName;
    lineIndex: number;
    set transaction(value: TransactionInfoResponse);
    get transaction(): TransactionInfoResponse;
    set transactionInfo(value: TransactionInfo);
    get transactionInfo(): TransactionInfo;
    set transactionLine(value: TransactionLineInfo);
    get transactionLine(): TransactionLineInfo;
    set selected(value: boolean);
    get selected(): boolean;
    preview: boolean;
    isFirst: boolean;
    set checkboxValue(value: boolean);
    get checkboxValue(): boolean;
    showColorIndicator: boolean;
    colorIndicatorColor: string;
    checkboxReadonly: boolean;
    checkbox: boolean;
    actionButtons: boolean;
    showPurchaseDescAndPrice: boolean;
    customerPortal: boolean;
    checkboxValueChanged: EventEmitter<boolean>;
    waitingForUserAction: EventEmitter<boolean>;
    showClass(): boolean;
    showActionsButton: boolean;
    actionButtonsConfigNames: ActionButtonsCfgNames;
    private _checkboxValue;
    private _subs;
    private _transaction;
    private _transactionInfo;
    private _transactionLine;
    private _selected;
    constructor(_transactionService: TransactionService, _transactionEventService: TransactionEventService, _screenConfigService: TransactionScreenConfigurationService, _changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    deleteTransactionLineClick(event: MouseEvent): Promise<void>;
    handleOpenArticleText(): void;
}
